Bug 309141 (CVE-2007-3278) - CVE-2007-3278 dblink allows proxying of database connections via 127.0.0.1
Summary: CVE-2007-3278 dblink allows proxying of database connections via 127.0.0.1
Status: CLOSED ERRATA
Alias: CVE-2007-3278
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: source=internet,public=20070616,repor...
Keywords: Reopened, Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-27 15:17 UTC by Lubomir Kundrak
Modified: 2019-06-08 12:23 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-02-01 15:09:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0038 normal SHIPPED_LIVE Moderate: postgresql security update 2008-01-11 12:39:13 UTC
Red Hat Product Errata RHSA-2008:0039 normal SHIPPED_LIVE Moderate: postgresql security update 2008-01-11 12:45:27 UTC
Red Hat Product Errata RHSA-2008:0040 normal SHIPPED_LIVE Moderate: postgresql security update 2008-02-01 14:55:29 UTC

Description Lubomir Kundrak 2007-09-27 15:17:46 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-3278 to the following vulnerability:

PostgreSQL 8.1 and probably later versions, when local trust authentication is enabled and the Database Link library (dblink) is installed, allows remote attackers to access arbitrary accounts and execute arbitrary SQL queries via a dblink host parameter that proxies the connection from 127.0.0.1.

References:

http://www.securityfocus.com/archive/1/archive/1/471541/100/0/threaded
http://www.securityfocus.com/archive/1/471644/100/0/threaded
http://www.leidecker.info/pgshell/Having_Fun_With_PostgreSQL.txt
http://www.portcullis.co.uk/uplds/whitepapers/Having_Fun_With_PostgreSQL.pdf

Comment 1 Lubomir Kundrak 2007-09-27 15:19:53 UTC
Red Hat does not consider this do be a security issue. dblink is disabled in
default configuration of PostgreSQL packages as shipped with Red Hat Enterprise
Linux versions 2.1, 3, 4 and 5, and it is a configuration decision whether to
grant local users arbitrary access.

Comment 3 Red Hat Product Security 2008-02-01 15:09:17 UTC
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2008-0040.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0038.html
  http://rhn.redhat.com/errata/RHSA-2008-0039.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2253




Note You need to log in before you can comment on or make changes to this bug.